import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import modules from './modules'
import beforeEnter from './utils/beforeEnter'

// 注册模块
modules({ router, store })

// Element-UI
import '@/assets/theme/index.css'
import ElementUI from 'element-ui'
Vue.use(ElementUI)

// 公共css
import '@/assets/css/base.css'
// 路由钩子函数
router.beforeEach(beforeEnter)

new Vue({
  store,
  router,
  render: h => h(App)
}).$mount('#app')
