import httpRequest from '@/utils/axios'

/**
 * 获取商品列表
 */
export function getActivityList(params) {
  return httpRequest.get('/api/marketing/admin/v1/activities', { params })
}
/**
 * 创建活动
 */
export function createActivity(data) {
  return httpRequest.post('/api/marketing/admin/v1/activity', data)
}
/**
 * 获取商品列表
 */
export function getActivityDetails(id) {
  return httpRequest.get(`/api/marketing/admin/v1/${id}/activity`)
}
/**
 * 更新活动
 */
export function updateActivity(id, data) {
  return httpRequest.put(`/api/marketing/admin/v1/${id}/activity`, data)
}
/**
 * 批量删除活动
 */
export function batchDeleteActivity(data) {
  return httpRequest.post('/api/marketing/admin/v1/activity/batch-delete', data)
}
/**
 * 导入学员
 */
export function importStudents(id, formData) {
  return httpRequest({
    url: `/api/marketing/admin/v1/activity/${id}/student/batch-import`,
    method: 'post',
    // headers: { 'Content-Type': 'multipart/form-data' },
    timeout: 900000,
    data: formData,
    withCredentials: false
  })
}
/**
 * 导出学员列表
 */
export function exportStudents(id, data) {
  return httpRequest({
    url: `/api/marketing/admin/v1/activity/${id}/student/batch-export`,
    method: 'post',
    data,
    responseType: 'blob'
  })
}
/**
 * 获取学员列表
 */
export function getStudentList(params) {
  return httpRequest.get(`/api/marketing/admin/v1/activity/${params.id}/students`, { params })
}
/**
 * 批量删除学员
 */
export function batchDeleteStudents(data) {
  return httpRequest.post('/api/marketing/admin/v1/activity/student/batch-delete', data)
}
/**
 * 批量标记签到/取消签到
 */
export function batchSignin(data) {
  return httpRequest.post('/api/marketing/admin/v1/activity/students/sign-in', data)
}
/**
 * 更新学员信息
 */
export function updateStudentInfo(id, data) {
  return httpRequest.put(`/api/marketing/admin/v1/activity/student/${id}`, data)
}